I now have 3 versions of Java installed. Is there a reason for this? I have 1.4.0-b92, 1.3.1, and 1.3.1_02. Why do I keep getting additional versions installed? Is it safe to un-install the older ones?